Subject: bug#48229: 28.0.50; C-g leaves inactive minibuffer selected with pop-up-frames

From: martin rudalics <[email-masked]>
Date: Thu, 6 May 2021 09:45:38 +0200

> Ignore the missing scrollbar; that's a separate long-standing issue ;).

You mean a missing slider and a strange background?  Would it help to
put scroll bars on the right?  In either case we should investigate
this, or at least document it.

 > 3. q
 >
 > As part of another long-standing issue on Xmonad (I guess because it
 > doesn't really do invisibility/minimisation/what-have-you), this
 > actually retains the *Completions* frame (which is still highlighted as
 > focused by the WM), but now neither frame looks "active" (all three
 > visible cursors are hollow):

Have you ever tried to customize `frame-auto-hide-function'?  If it's
really impossible to get rid of that frame, we should document it too.

 > 4. Close the *Completions* frame.  In Xmonad that's Mod-Shift-c by
 >     default.
 >
 > The minibuffer of the original frame is now selected:
 >
 >
 >
 > 5. C-g
 >
 > This leaves the inactive minibuffer selected:

But C-x o will select another window, right?

martin